Subject: Re: [VOTE] git versus mercurial (for DragonflyBSD)

From: Arne Babenhauserheide <[email-masked]>
Date: Mon, 27 Oct 2008 01:20:49 +0100

Am Sonntag 26 Oktober 2008 19:55:09 schrieb Jakub Narebski:
> > * Recently, Hg development seems to have somewhat slowed down. To
> >   simply put it, there is not enough room in the world for several
> >   similar SCM systems. With git's pace and momentum the other SCMs
> >   including Hg are fighting an uphill battle.
>
> The competing _distributed_ version control systems left seems to be
> Bazaar-NG (Ubuntu), Mercurial (OpenSolaris, Mozilla), Git (Linux kernel,
> Freedesktop.org, Ruby on Rails people).  There are many IDEs, many
> editors, many web browsers; there is Linux and there are *BSD; I hope
> that Mercurial would continue to be developed, and not vanish in
> obscurity like Arch and clones...

Before we get tangled in this train of thought: 

I created a head-to-head code_swarm of Mercurial and Git and it clearly shows 
that Mercurial development didn't slow down. 

The code_swarm isn't a fancy one with music and annotations, but I think 
you'll directly see for yourself what I mean: 

- http://www.rakjar.de/shared_codeswarm/hg-vs-git-short.avi

red is git, 
blue is Mercurial. 

It is a result of my shared_codeswarm project with which you can create 
code_swarms from more than one repository automatically - and update them 
incrementally, creating new code_swarms of only the new commits in the 
repositories: 

- http://www.rakjar.de/shared_codeswarm/project_activity_battle_swarm.html

Best wishes, 
Arne

-- My stuff: http://draketo.de - stories, songs, poems, programs and stuff :)
-- Infinite Hands: http://infinite-hands.draketo.de - singing a part of the 
history of free software.
-- Ein Würfel System: http://1w6.org - einfach saubere (Rollenspiel-) Regeln.

-- PGP/GnuPG: http://draketo.de/inhalt/ich/pubkey.txt